Package com.google.protobuf

## Class ServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.protobuf.ServiceException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ServiceException
    extends java.lang.Exception

Thrown by blocking RPC methods when a failure occurs.

Author:
  cpovirk@google.com (Chris Povirk)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ServiceException​(java.lang.String message)`
`ServiceException​(java.lang.String message, java.lang.Throwable cause)`
`ServiceException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceException

    public ServiceException​(java.lang.String message)

#### ServiceException

    public ServiceException​(java.lang.Throwable cause)

#### ServiceException

    public ServiceException​(java.lang.String message,
                            java.lang.Throwable cause)